using skydiveLogs_api.Domain;
using System.Collections.Generic;

namespace skydiveLogs_api.DomainBusiness.Interfaces
{
    public interface IJumpService
    {
        #region Public Methods

        void AddNewJump(int aircraftId,
                        int dzId,
                        int jumpTypeId,
                        int gearId,
                        Jump jump);

        void DeleteJumpById(int id);

        IEnumerable<Jump> GetAllJumps();

        Jump GetJumpById(int id);

        void UpdateJump(int id, Jump jump);

        #endregion Public Methods
    }
}